IExtension (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.model.bldinf.IExtension interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.model.bldinf
Interface IExtension

    public interface IExtension

This interface represents the content of an entry in PRJ_EXTENSIONS block.

It's recommended to use a utility class (like BldInfViewPathHelpers) to interpret and set the paths in this extension and resolve paths to actual project or filesystem files.

Method Summary
`IExtension` | `copy()` Return a copy of the data
`java.util.List<IPath>` | `getDependencies()` Access/modify the list of dependencies.
`java.util.Map<java.lang.String,java.lang.String>` | `getOptions()` Access/modify the option map
`java.util.List<IPath>` | `getSources()` Access/modify the list of project-relative sources.
`IPath` | `getTargetPath()` Get the project-relative target path, may be null
`IPath` | `getTemplatePath()` Get EPOCROOT\epoc32\tools\makefile_templates - relative path to extension makefile template.
`java.lang.String` | `getToolName()` Get the tool name, may be null
`boolean` | `isValid()` Check whether the template path is set.
`void` | `setTargetPath(IPath path)` Set the project-relative target path, may be null
`void` | `setTemplatePath(IPath path)` Set EPOCROOT\epoc32\tools\makefile_templates - relative path to extension makefile template.
`void` | `setToolName(java.lang.String toolName)` Set the tool name, may be null

Method Detail

### isValid

    boolean isValid()

  Check whether the template path is set.

### getTemplatePath

    IPath getTemplatePath()

  Get EPOCROOT\epoc32\tools\makefile_templates - relative path to extension makefile template. As in the bld.inf, no extension will be present. Either .mk or .meta is appended to find the paired files for the makefile.

### setTemplatePath

    void setTemplatePath(IPath path)

  Set EPOCROOT\epoc32\tools\makefile_templates - relative path to extension makefile template. As in the bld.inf, no extension should be present.

### getTargetPath

    IPath getTargetPath()

  Get the project-relative target path, may be null

### setTargetPath

    void setTargetPath(IPath path)

  Set the project-relative target path, may be null

### getSources

    java.util.List<IPath> getSources()

  Access/modify the list of project-relative sources.

### getDependencies

    java.util.List<IPath> getDependencies()

  Access/modify the list of dependencies. No interpretation is performed. As in the bld.inf, no extension will be present.

### getToolName

    java.lang.String getToolName()

  Get the tool name, may be null

### setToolName

    void setToolName(java.lang.String toolName)

  Set the tool name, may be null

### getOptions

    java.util.Map<java.lang.String,java.lang.String> getOptions()

  Access/modify the option map

### copy

    IExtension copy()

  Return a copy of the data

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD